*-----------------------------------------------------------------------
* (c) Creative Software Solutions, 1993, 1994. All rights reserved.   
*
* This application is part of the PRO TOOLS collection.               
* For information or purchase:  Call (612) 546-0527.                  
*
* Written by Ira D. Wald.                                             
*
*-----------------------------------------------------------------------

CLOSE ALL
CLOSE DATABASE
CLEAR ALL
CLEAR

* DO pro IN demo is required to set up the operating environment
DO demo_app.app

SET ESCAPE OFF

IF !choose_h ('Demo of BROWSER - a tool from Creative Software Solutions' , ;
			'Continue' , 'Cancel')
	RELEASE WINDOW w_msg
	RETURN
ENDIF
RELEASE WINDOW w_msg

SET RESOURCE OFF

* Access the database to browse
IF !USED ('states')
	USE states IN 0 AGAIN
ENDIF
SELECT states

DO WHILE .T.

GOTO TOP

IF choose_h ('View a list of capabilities and instructions?' , 'Yes' , 'No')
	KEYBOARD '{ctrl+F10}'
	MODI FILE readme.txt NOMODIFY
ENDIF

IF choose_h ('The following is a demo of a simple call to the browser' , ;
			'Try It' , 'Skip')
	=browser()
	WAIT 'Selected: ' + name + ' [press any key to continue]' WINDOW
ENDIF

IF choose_h ('The following demos browser w/fields' , 'Try It' , 'Skip')
	IF choose_h ('Sort by ...' , 'State Abreviation' , 'State Name')
		SET ORDER TO state
	ELSE
		SET ORDER TO name
	ENDIF
	
	=browser ('Incremental Browse ... Select a State' , ;
				'state :h="State Abreviation" | name :h="State Name"')
	WAIT 'Selected: ' + name + ' [press any key to continue]' WINDOW
ENDIF		

pro_color = 1
pro_posy = 'T'
pro_y = 0
=msg_wait ('Colors may be varied by changing color sets or by adjusting ' + ;
			'which scheme to use in a color set.'+ CRLF + CRLF + ;
			'In addition, there is a customizable button that may ' + ;
			'be programmed by your application.' + CRLF + CRLF + ;
			'Color Sets are from the COLORS collection from Sue Cunningham.' , ;
			'Color Browsing' , 0)
RELEASE pro_color , pro_posy , pro_y

IF choose_h ('The following demos varying colors in a browse' , ;
			'Try It' , 'Skip')			
			
	USE resource AGAIN IN 0
	SELECT name FROM resource WHERE id = 'COLORSET' ;
		INTO ARRAY a_color ;
		GROUP BY name
		
	USE IN RESOURCE
	SET RESOURCE TO resource
	SET RESOURCE ON
	
	l_colors = 0
	l_color_max = _TALLY
	=color_test()

	pro_brow_add = 'COLOR'
	
	colors = .T.

	SELECT states
	RELEASE WINDOW w_msg
	WAIT 'Change COLOR SETS by pressing the COLORS button' WINDOW NOWAIT
	DO WHILE colors
		colors = .F.
		= browser('Choose "COLOR" to change colors sets: ' + ;
					TRIM (a_color [l_colors]) , .F. , .F. , ;
					'=color_test()')
	ENDDO
	
	colors = .T.
	pro_color = -1
	WAIT 'Change COLOR SCHEMES by pressing the COLORS button' WINDOW NOWAIT
	DO WHILE colors
		colors = .F.
		= browser('Choose "COLOR" to change colors schemes [now ' + ;
				LTRIM (STR (-pro_color)) + ']' , .F. , .F. , ;
						'colors = .T.')
		IF pro_color < -12
			pro_color = -1
		ELSE
			pro_color = pro_color - 1
		ENDIF
	ENDDO

	
	RELEASE pro_brow_add , pro_browse
ENDIF
RELEASE WINDOW w_msg

IF choose_h ('The following demos browsing w/multiple selections' , ;
			'Try It' , 'Skip')
	REPLACE ALL selected WITH .F.
	GOTO TOP
	=browser ('Multiple Selections' , ;
				'state :h="State Abreviation" | name :h="State Name"' , ;
				.T.)

	COUNT TO l_cnt FOR selected				
	IF choose_h (' ' + LTRIM (STR (l_cnt)) + ' selections ' , ;
				'View Selections' , 'Skip')	
		=browser ('Selected Records' , ;
				'state :h="State Abreviation" | name :h="State Name"' , ;
				.F. , .F. , 'selected')	
	ENDIF
ENDIF

IF _DOS
	DEFINE WINDOW win_test ;
		FROM 5,20 TO 15,60 ;
		COLOR SCHEME 10 ;
		CLOSE FLOAT GROW ZOOM
ELSE
	DEFINE WINDOW win_test ;
		FROM 5,10 TO 25,80 ;
		COLOR SCHEME 10 ;
		CLOSE FLOAT GROW ZOOM
ENDIF
		
IF choose_h ('Application defined window w/all browser capabilities' , ;
			'Use Buttons' , 'Plain Browse Window')
	
	=browser ('Title' , .f. , .f. , .f. ,.f. ,.f. ,.F. ,'win_test')
ELSE
	=browser ('Title' , .f. , .f. , .f. ,.f. ,.f. ,.T. ,'win_test')
ENDIF

CLEAR WINDOWS

IF !choose_h ('Try this short demo again?' , 'Yes' , 'No')
	EXIT
ENDIF

ENDDO

IF choose_h ('Order ProTools NOW.  Your best investment in quality FoxPro tools' , ;
			'OK' , 'Later (but soon)')
	SET SYSMENU TO DEFAULT
	MODI FILE order.doc NOWAIT
ENDIF

USE IN states
IF xz_pro_def [23] = 'ON'
	SET RESOURCE TO &xz_pro_def [24]
ENDIF

*******************************************************

PROCEDURE color_test

l_colors = IIF (l_colors < l_color_max , l_colors + 1 , 1)
l_set = TRIM (a_color [l_colors])

SET RESOURCE TO resource
SET COLOR SET TO &l_set
colors = .T.